View Issue Details

IDProjectCategoryView StatusLast Update
0001063SOGoWeb Mailpublic2011-01-27 13:20
Reportercapser Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.4 
Fixed in Version1.3.5a 
Summary0001063: INBOX/Drafts folder isn't being created initially during first save
Description

In my case INBOX/Drafts folder isn't being created initially during
first save. After pressing "Save" button, SOGo drops:

=========================================
An error occurred during object publishing

Failed to store message

INBOX/Sent and INBOX/Trash are being created initially during first
send/delete operations.

SOGo is 1.3.4, I'm using Cyrus IMAP.

Those options among others are in
config: /home/sogo/GNUstep/Defaults/.GNUstepDefaults:

    SOGoDraftsFolderName = INBOX/Drafts;
    SOGoSentFolderName = INBOX/Sent;
    SOGoTrashFolderName = INBOX/Trash;

In my cyrus imapd.conf:

altnamespace: no
unixhierarchysep: yes

Discussion in mailing list has stuck:

https://inverse.ca/sogo/lists/arc/users/2010-12/msg00117.html

TagsNo tags attached.

Activities

francis

francis

2011-01-14 11:25

administrator   ~0002020

The very first action when saving a draft is to check whether or not the draft folder exists. If it doesn't, it is created.

Please sniff the IMAP traffic and add it to this ticket. Thanks!

casper

casper

2011-01-17 04:26

reporter   ~0002026

Last edited: 2011-01-17 04:32

Francis, thanks for your attention,
to be short:

============= Sent: first access ============
12 status "INBOX/Sent" (UIDVALIDITY)

  • 2 EXISTS
  • 2 RECENT
    12 NO Mailbox does not exist
    13 create "INBOX/Sent"
    13 OK Completed

============= Trash: first access ============
26 status "INBOX/Trash" (UIDVALIDITY)
26 NO Mailbox does not exist
27 create "INBOX/Trash"
27 OK Completed

============= Drafts: first access ============
38 select "INBOX/Drafts"
38 NO Mailbox does not exist
39 UID SEARCH (UNSEEN) (NOT DELETED)39 BAD Please select a mailbox first
40 uid fetch ,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,, (UID FLAGS ENVELOPE RFC822.SIZE BODYSTRUCTURE BODY.PEEK[HEADER.FIELDS (X-PRIORITY)])40 BAD Please select a mailbox first
41 status "INBOX/Drafts" (UIDVALIDITY)
41 NO Mailbox does not exist
42 create "Drafts"
42 NO Permission denied

I see 2 problems here:

  • SOGo doesn't check whether Drafts folder exists before doing operations like it does on Sent and Trash

  • when it actually realize thereis no folder Drafts it tries to create it, but WITH WRONG NAME SPACE: "Drafts" instead of "INBOX/Drafts".

This is a full dump of a session in which I did:

  • create new mail, send it to same address
  • recieve new mail, open incoming message, delete it
  • create new mail, save it.

=============================================

  • OK axf Cyrus IMAP4 v2.2.13-Debian-2.2.13-14+lenny3 server ready

1 login "test-sogo" "test-sogo"

1 OK User logged in

2 capability

  • CAPABILITY IMAP4 IMAP4rev1 ACL QUOTA LITERAL+ NAMESPACE UIDPLUS ID NO_ATOMIC_RENAME UNSELECT CHILDREN MULTIAPPEND BINARY SORT THREAD=ORDEREDSUBJECT THREAD=REFERENCES ANNOTATEMORE IDLE LOGINDISABLED

2 OK Completed

3 namespace

  • NAMESPACE (("INBOX/" "/")) (("user/" "/")) (("" "/"))

3 OK Completed

4 LIST "" ""

  • LIST (\Noselect) "/" ""

4 OK Completed (0.000 secs 0 calls)

5 select "INBOX"

  • FLAGS (\Answered \Flagged \Draft \Deleted \Seen)

  • OK [PERMANENTFLAGS (\Answered \Flagged \Draft \Deleted \Seen *)]

  • 0 EXISTS

  • 0 RECENT

  • OK [UIDVALIDITY 1295254441]

  • OK [UIDNEXT 1]

5 OK [READ-WRITE] Completed

6 UID SORT (REVERSE ARRIVAL) UTF-8 NOT DELETED

  • SORT

6 OK Completed (0 msgs in 0.000 secs)

7 LIST "" "*"

  • LIST (\HasNoChildren) "/" "INBOX"

7 OK Completed (0.000 secs 2 calls)

8 LIST "" "INBOX/*"

8 OK Completed (0.000 secs 1 calls)

9 LIST "" "user/*"

9 OK Completed (0.000 secs 1 calls)

10 getquotaroot "INBOX"

  • QUOTAROOT INBOX user/test-sogo

  • QUOTA user/test-sogo (STORAGE 1 1048576)

10 OK Completed

11 UID SEARCH (UNSEEN) (NOT DELETED)

  • SEARCH

11 OK Completed (0 msgs in 0.000 secs)

12 status "INBOX/Sent" (UIDVALIDITY)

  • 2 EXISTS

  • 2 RECENT

12 NO Mailbox does not exist

13 create "INBOX/Sent"

13 OK Completed

14 append "INBOX/Sent" (\seen) {405}

  • go ahead

to: test-sogo

from: "test-sogo test-sogo" <test-sogo@[hidden]>

message-id: <6eae-4d340400-1-8762ce@111388170>

subject: test-sogo

X-Forward: 127.0.0.1

date: Mon, 17 Jan 2011 10:55:02 +0200

MIME-Version: 1.0

content-type: text/plain; charset="utf-8"

reply-to: "test-sogo test-sogo" <test-sogo@[hidden]>

User-Agent: SOGoMail 1.3.4

content-length: 9

content-transfer-encoding: 7bit

test-sogo

14 OK [APPENDUID 1295254502 1] Completed

15 UID SORT (REVERSE DATE) UTF-8 NOT DELETED

  • SORT 2 1

15 OK Completed (2 msgs in 0.000 secs)

16 UID SEARCH (UNSEEN) (NOT DELETED)

  • SEARCH 1 2

16 OK Completed (2 msgs in 0.000 secs)

17 uid fetch 2,1 (UID FLAGS ENVELOPE RFC822.SIZE BODYSTRUCTURE BODY.PEEK[HEADER.FIELDS (X-PRIORITY)])

  • 2 FETCH (FLAGS (\Recent) UID 2 RFC822.SIZE 838 ENVELOPE ("Mon, 17 Jan 2011 10:55:02 +0200" "test-sogo" (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) ((NIL NIL "test-sogo" "[hidden]")) NIL NIL NIL "<6eae-4d340400-1-8762ce@111388170>") BODYSTRUCTURE ("TEXT" "PLAIN" ("CHARSET" "utf-8") NIL NIL "7BIT" 11 1 NIL NIL NIL) BODY[HEADER.FIELDS (X-PRIORITY)] {2}

)

  • 1 FETCH (FLAGS (\Recent) UID 1 RFC822.SIZE 1273 ENVELOPE ("Mon, 17 Jan 2011 10:54:19 +0200" {36}

"Personal Calendar" has been created (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) NIL NIL NIL "<20110117085419.A32C2216001@corp.[hidden]>") BODYSTRUCTURE (("TEXT" "PLAIN" ("CHARSET" "utf-8") NIL NIL "7BIT" 48 0 NIL NIL NIL)("APPLICATION" "X-SOGO-NOTIFICATION" ("METHOD" "add" "TYPE" "Appointment" "CHARSET" "utf-8") NIL NIL "7BIT" 60 NIL NIL NIL) "ALTERNATIVE" ("BOUNDARY" "----=_=-_OpenGroupware_org_NGMime-28334-1295254459.562021-0------") NIL NIL) BODY[HEADER.FIELDS (X-PRIORITY)] {2}

)

17 OK Completed (0.000 sec)

18 status "INBOX" (UIDVALIDITY)

  • STATUS INBOX (UIDVALIDITY 1295254441)

18 OK Completed

19 uid fetch 1 (FLAGS ENVELOPE BODYSTRUCTURE RFC822.SIZE RFC822.HEADER)

  • 1 FETCH (FLAGS (\Recent) UID 1 RFC822.SIZE 1273 ENVELOPE ("Mon, 17 Jan 2011 10:54:19 +0200" {36}

"Personal Calendar" has been created (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) NIL NIL NIL "<20110117085419.A32C2216001@corp.[hidden]>") BODYSTRUCTURE (("TEXT" "PLAIN" ("CHARSET" "utf-8") NIL NIL "7BIT" 48 0 NIL NIL NIL)("APPLICATION" "X-SOGO-NOTIFICATION" ("METHOD" "add" "TYPE" "Appointment" "CHARSET" "utf-8") NIL NIL "7BIT" 60 NIL NIL NIL) "ALTERNATIVE" ("BOUNDARY" "----=_=-_OpenGroupware_org_NGMime-28334-1295254459.562021-0------") NIL NIL) RFC822.HEADER {813}

Return-Path: <test-sogo@[hidden]>

Received: from corp.[hidden] ([unix socket])

. by axf (Cyrus v2.2.13-Debian-2.2.13-14+lenny3) with LMTPA;

. Mon, 17 Jan 2011 10:54:19 +0200

X-Sieve: CMU Sieve 2.2

Received: from localhost (localhost [127.0.0.1])

.by corp.[hidden] (Postfix) with ESMTP id A32C2216001

.for <test-sogo@[hidden]>; Mon, 17 Jan 2011 10:54:19 +0200 (EET)

content-type: multipart/alternative; boundary="----=_=-_OpenGroupware_org_NGMime-28334-1295254459.562021-0------"

from: "test-sogo test-sogo" <test-sogo@[hidden]>

date: Mon, 17 Jan 2011 10:54:19 +0200

subject: "Personal Calendar" has been created

to: "test-sogo test-sogo" <test-sogo@[hidden]>

Message-Id: <20110117085419.A32C2216001@corp.[hidden]>

X-Virus-Scanned: clamav-milter 0.96.4 at axf

X-Virus-Status: Clean

)

19 OK Completed (0.000 sec)

20 uid fetch 1 (body[1])

  • 1 FETCH (FLAGS (\Recent \Seen) UID 1 BODY[1] {48}

The "Personal Calendar" folder has been created.)

20 OK Completed (0.000 sec)

21 uid fetch 1 (UID FLAGS ENVELOPE RFC822.SIZE BODYSTRUCTURE BODY.PEEK[HEADER.FIELDS (X-PRIORITY)])

  • 1 FETCH (FLAGS (\Recent \Seen) UID 1 RFC822.SIZE 1273 ENVELOPE ("Mon, 17 Jan 2011 10:54:19 +0200" {36}

"Personal Calendar" has been created (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) NIL NIL NIL "<20110117085419.A32C2216001@corp.[hidden]>") BODYSTRUCTURE (("TEXT" "PLAIN" ("CHARSET" "utf-8") NIL NIL "7BIT" 48 0 NIL NIL NIL)("APPLICATION" "X-SOGO-NOTIFICATION" ("METHOD" "add" "TYPE" "Appointment" "CHARSET" "utf-8") NIL NIL "7BIT" 60 NIL NIL NIL) "ALTERNATIVE" ("BOUNDARY" "----=_=-_OpenGroupware_org_NGMime-28334-1295254459.562021-0------") NIL NIL) BODY[HEADER.FIELDS (X-PRIORITY)] {2}

)

21 OK Completed (0.000 sec)

22 status "INBOX" (UIDVALIDITY)

  • STATUS INBOX (UIDVALIDITY 1295254441)

22 OK Completed

23 uid fetch 2 (FLAGS ENVELOPE BODYSTRUCTURE RFC822.SIZE RFC822.HEADER)

  • 2 FETCH (FLAGS (\Recent) UID 2 RFC822.SIZE 838 ENVELOPE ("Mon, 17 Jan 2011 10:55:02 +0200" "test-sogo" (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) ((NIL NIL "test-sogo" "[hidden]")) NIL NIL NIL "<6eae-4d340400-1-8762ce@111388170>") BODYSTRUCTURE ("TEXT" "PLAIN" ("CHARSET" "utf-8") NIL NIL "7BIT" 11 1 NIL NIL NIL) RFC822.HEADER {827}

Return-Path: <test-sogo@[hidden]>

Received: from corp.[hidden] ([unix socket])

. by axf (Cyrus v2.2.13-Debian-2.2.13-14+lenny3) with LMTPA;

. Mon, 17 Jan 2011 10:55:02 +0200

X-Sieve: CMU Sieve 2.2

Received: from localhost (localhost [127.0.0.1])

.by corp.[hidden] (Postfix) with ESMTP id 9BB03216001

.for <test-sogo>; Mon, 17 Jan 2011 10:55:02 +0200 (EET)

to: test-sogo@[hidden]

from: "test-sogo test-sogo" <test-sogo@[hidden]>

message-id: <6eae-4d340400-1-8762ce@111388170>

subject: test-sogo

X-Forward: 127.0.0.1

date: Mon, 17 Jan 2011 10:55:02 +0200

MIME-Version: 1.0

content-type: text/plain; charset="utf-8"

reply-to: "test-sogo test-sogo" <test-sogo@[hidden]>

User-Agent: SOGoMail 1.3.4

content-transfer-encoding: 7bit

X-Virus-Scanned: clamav-milter 0.96.4 at axf

X-Virus-Status: Clean

)

23 OK Completed (0.000 sec)

24 uid fetch 2 (body[text])

  • 2 FETCH (FLAGS (\Recent \Seen) UID 2 BODY[TEXT] {11}

test-sogo

)

24 OK Completed (0.000 sec)

25 uid fetch 2 (UID FLAGS ENVELOPE RFC822.SIZE BODYSTRUCTURE BODY.PEEK[HEADER.FIELDS (X-PRIORITY)])

  • 2 FETCH (FLAGS (\Recent \Seen) UID 2 RFC822.SIZE 838 ENVELOPE ("Mon, 17 Jan 2011 10:55:02 +0200" "test-sogo" (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) ((NIL NIL "test-sogo" "[hidden]")) NIL NIL NIL "<6eae-4d340400-1-8762ce@111388170>") BODYSTRUCTURE ("TEXT" "PLAIN" ("CHARSET" "utf-8") NIL NIL "7BIT" 11 1 NIL NIL NIL) BODY[HEADER.FIELDS (X-PRIORITY)] {2}

)

25 OK Completed (0.000 sec)

26 status "INBOX/Trash" (UIDVALIDITY)

26 NO Mailbox does not exist

27 create "INBOX/Trash"

27 OK Completed

28 uid copy 2 "INBOX/Trash"

28 OK [COPYUID 1295254521 2 1] Completed

29 UID STORE 2 +FLAGS (\Deleted)

  • 2 FETCH (FLAGS (\Recent \Deleted \Seen) UID 2)

29 OK Completed

30 select "INBOX/Trash"

  • FLAGS (\Answered \Flagged \Draft \Deleted \Seen)

  • OK [PERMANENTFLAGS (\Answered \Flagged \Draft \Deleted \Seen *)]

  • 1 EXISTS

  • 1 RECENT

  • OK [UIDVALIDITY 1295254521]

  • OK [UIDNEXT 2]

30 OK [READ-WRITE] Completed

31 UID SORT (REVERSE DATE) UTF-8 NOT DELETED

  • SORT 1

31 OK Completed (1 msgs in 0.000 secs)

32 uid fetch 1 (UID FLAGS ENVELOPE RFC822.SIZE BODYSTRUCTURE BODY.PEEK[HEADER.FIELDS (X-PRIORITY)])

  • 1 FETCH (FLAGS (\Recent \Seen) UID 1 RFC822.SIZE 838 ENVELOPE ("Mon, 17 Jan 2011 10:55:02 +0200" "test-sogo" (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) ((NIL NIL "test-sogo" "[hidden]")) NIL NIL NIL "<6eae-4d340400-1-8762ce@111388170>") BODYSTRUCTURE ("TEXT" "PLAIN" ("CHARSET" "utf-8") NIL NIL "7BIT" 11 1 NIL NIL NIL) BODY[HEADER.FIELDS (X-PRIORITY)] {2}

)

32 OK Completed (0.000 sec)

33 UID SEARCH (UNSEEN) (NOT DELETED)

  • SEARCH

33 OK Completed (0 msgs in 0.000 secs)

34 select "INBOX/Sent"

  • FLAGS (\Answered \Flagged \Draft \Deleted \Seen)

  • OK [PERMANENTFLAGS (\Answered \Flagged \Draft \Deleted \Seen *)]

  • 1 EXISTS

  • 1 RECENT

  • OK [UIDVALIDITY 1295254502]

  • OK [UIDNEXT 2]

34 OK [READ-WRITE] Completed

35 UID SORT (REVERSE DATE) UTF-8 NOT DELETED

  • SORT 1

35 OK Completed (1 msgs in 0.000 secs)

36 uid fetch 1 (UID FLAGS ENVELOPE RFC822.SIZE BODYSTRUCTURE BODY.PEEK[HEADER.FIELDS (X-PRIORITY)])

  • 1 FETCH (FLAGS (\Recent \Seen) UID 1 RFC822.SIZE 405 ENVELOPE ("Mon, 17 Jan 2011 10:55:02 +0200" "test-sogo" (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) (("test-sogo test-sogo" NIL "test-sogo" "[hidden]")) ((NIL NIL "test-sogo" "unspecified-domain")) NIL NIL NIL "<6eae-4d340400-1-8762ce@111388170>") BODYSTRUCTURE ("TEXT" "PLAIN" ("CHARSET" "utf-8") NIL NIL "7BIT" 9 0 NIL NIL NIL) BODY[HEADER.FIELDS (X-PRIORITY)] {2}

)

36 OK Completed (0.000 sec)

37 UID SEARCH (UNSEEN) (NOT DELETED)

  • SEARCH

37 OK Completed (0 msgs in 0.000 secs)

38 select "INBOX/Drafts"

38 NO Mailbox does not exist

39 UID SEARCH (UNSEEN) (NOT DELETED)39 BAD Please select a mailbox first

40 uid fetch ,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,, (UID FLAGS ENVELOPE RFC822.SIZE BODYSTRUCTURE BODY.PEEK[HEADER.FIELDS (X-PRIORITY)])40 BAD Please select a mailbox first

41 status "INBOX/Drafts" (UIDVALIDITY)

41 NO Mailbox does not exist

42 create "Drafts"

42 NO Permission denied

43 append "INBOX/Drafts" (\seen \draft) {412}

43 NO [TRYCREATE] Mailbox does not exist

44 UID SORT (REVERSE DATE) UTF-8 NOT DELETED44 BAD Please select a mailbox first

45 expunge

45 BAD Please select a mailbox first

=============================================

francis

francis

2011-01-17 12:04

administrator   ~0002027

Last edited: 2011-01-17 12:05

Set altnamespace to "yes" in your /etc/imapd.conf and change your SOGo configuration as follow :

SOGoDraftsFolderName = Drafts
SOGoSentFolderName = Sent
SOGoTrashFolderName = Trash

casper

casper

2011-01-17 12:43

reporter   ~0002028

I understand it will solve the problem, but unfortutatelly i can't change altnamespace to "yes" as other software relay on this option to be off.

francis

francis

2011-01-27 12:59

administrator   ~0002062

Resolved with revision d44813d7233d6d5cad1ae38fa520e06886d97b83.

Issue History

Date Modified Username Field Change
2010-12-27 05:26 capser New Issue
2011-01-14 11:25 francis Note Added: 0002020
2011-01-17 04:26 casper Note Added: 0002026
2011-01-17 04:32 casper Note Edited: 0002026
2011-01-17 12:04 francis Note Added: 0002027
2011-01-17 12:04 francis Note Edited: 0002027
2011-01-17 12:05 francis Note Edited: 0002027
2011-01-17 12:43 casper Note Added: 0002028
2011-01-27 12:59 francis Note Added: 0002062
2011-01-27 12:59 francis Status new => resolved
2011-01-27 12:59 francis Resolution open => fixed
2011-01-27 12:59 francis Assigned To => francis
2011-01-27 13:20 francis Fixed in Version => 1.3.5a